OPTIONS NODATE NONUMBER FORMDLIM="-";
ODS HTML STYLE=MINIMAL;
ODS GRAPHICS ON;
*5-observation example case for IQ and job performance;
DATA WORK.iqperf;
INPUT iq perf;
iq114 = iq-114.4;
DATALINES;
112 10
113 12
115 14
118 16
114 12
;
RUN;

*EMPTY MODEL PREDICTING IQ;
PROC MIXED DATA=WORK.iqperf METHOD=ML COVTEST NOPROFILE ITDETAILS IC;
MODEL iq = / SOLUTION;
RUN;

*EMPTY MODEL PREDICTING PERFORMANCE;
PROC MIXED DATA=WORK.iqperf METHOD=ML COVTEST NOPROFILE ITDETAILS IC;
MODEL perf = / SOLUTION;
RUN;

*MEAN CENTERED IQ PREDICTING PERFORMANCE;
PROC MIXED DATA=WORK.iqperf METHOD=ML COVTEST NOPROFILE ITDETAILS IC;
MODEL perf = iq114 / SOLUTION;
RUN;

*COMPARING TO LEAST SQUARES;
PROC GLM DATA=WORK.iqperf;
MODEL perf = iq114 / SOLUTION;
RUN;  QUIT;
