%LET datafolder = C:\Dropbox\!PSYC 943\Lectures\15 PCA and EFA\SAS and Mplus Example;

*SAS Example #1;
PROC IMPORT OUT= WORK.SAT 
            DATAFILE= "&datafolder.\sat.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

PROC GPLOT DATA=sat;
PLOT satv*satm;
run;

PROC UNIVARIATE DATA=sat NORMAL PLOT;
VAR satv satm;
RUN;

PROC PRINCOMP DATA=sat OUT=pcsat;
VAR satv satm;
RUN;

PROC GPLOT DATA=pcsat;
PLOT prin2*prin1 satm*satv  / OVERLAY;
RUN;

PROC GPLOT DATA=pcsat;
PLOT prin1*prin2;
RUN;

PROC IMPORT OUT= WORK.alldata 
            DATAFILE= "&datafolder.\gamblingdata.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=NO;
     DATAROW=1; 
RUN;

DATA gri10;
	SET alldata;
	GRI1 = VAR1; GRI3 = VAR3; GRI5 = VAR5;
	GRI9 = VAR9; GRI10 = VAR10; GRI13 = VAR13;
	GRI14 = VAR14; GRI18 = VAR18; GRI21 = VAR21;
	GRI23 = VAR23;

	IF GRI1 = 99 THEN GRI1 = .;
	IF GRI3 = 99 THEN GRI3 = .;
	IF GRI5 = 99 THEN GRI5 = .;
	IF GRI9 = 99 THEN GRI9 = .;
	IF GRI10 = 99 THEN GRI10 = .;
	IF GRI13 = 99 THEN GRI13 = .;
	IF GRI14 = 99 THEN GRI14 = .;
	IF GRI18 = 99 THEN GRI18 = .;
	IF GRI21 = 99 THEN GRI21 = .;
	IF GRI23 = 99 THEN GRI23 = .;

	KEEP GRI1 GRI3 GRI5 GRI9 GRI10 GRI13 
         GRI14 GRI18 GRI21 GRI23;
RUN;

PROC PRINCOMP DATA=gri10 COV OUT=princomp;
VAR GRI1 GRI3 GRI5 GRI9 GRI10 GRI13 GRI14 GRI18 GRI21 GRI23;
RUN;
